# Usar una imagen base de Python
FROM python:3.11.10-bookworm
# Establecer el directorio de trabajo en el contenedor
WORKDIR /app

# Copiar el archivo requirements.txt y otros archivos necesarios
COPY requirements.txt ./

# Instalar las dependencias de Python
RUN pip install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cpu
RUN pip install --no-cache-dir -r requirements.txt

# Copiar todo el código de la aplicación al contenedor
COPY . .

# Expone el puerto que usará Uvicorn
EXPOSE 7884

# Especificar el comando 

CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "7884", "--reload"]

